<?php


/**
 * Autogenerated class SavedFilter_Model
 *
 * @todo: documentation
 */
class SavedFilter_Model extends BaseSavedFilter_Model {
	/**
	 * Get the scope as a string
	 *
	 * @ninja orm depend[] username
	 */
	public function get_scope() {
		if($this->get_username() === '') {
			return 'global';
		}
		return 'user';
	}

	/**
	 * Get if current user is allowed to delete the object
	 *
	 * @ninja orm depend[] username
	 */
	public function get_deletable() {
		switch( $this->get_scope() ) {
			case 'user': return true;
			case 'global': return op5auth::instance()->authorized_for('saved_filters_global');
		}
		return false;
	}

	/**
	 * Update filter string
	 *
	 * Also set the filter table when setting filter
	 */
	public function set_filter($value) {
		$parser = new LSFilter(new LSFilterPP(), new LSFilterMetadataVisitor());
		$metadata = $parser->parse( $value );

		if( $metadata === false ) throw new Exception("Error when type checking");

		parent::set_filter($value);
		$this->set_filter_table($metadata['name']);
	}

	public function get_readable_name () {
		return $this->get_filter_name();
	}
}
